unit UDataModule;

interface

uses
  System.SysUtils, System.Classes, uDWAbout, uRESTDWPoolerDB, FireDAC.Stan.Intf,
  FireDAC.Stan.Option, FireDAC.Stan.Param, FireDAC.Stan.Error, FireDAC.DatS,
  FireDAC.Phys.Intf, FireDAC.DApt.Intf, Data.DB, FireDAC.Comp.DataSet,
  FireDAC.Comp.Client, uDWConstsData;

type
  TFDataModule = class(TDataModule)
    RESTDWDataBase: TRESTDWDataBase;
    RESTDWClientSQLGeneric: TRESTDWClientSQL;
    procedure DataModuleCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FDataModule: TFDataModule;

implementation

{%CLASSGROUP 'FMX.Controls.TControl'}

{$R *.dfm}

procedure TFDataModule.DataModuleCreate(Sender: TObject);
begin
  RESTDWDataBase.Close;
  RESTDWDataBase.PoolerService  := '127.0.0.1';
  RESTDWDataBase.PoolerPort     := 8082;
  RESTDWDataBase.Login          := 'testserver';
  RESTDWDataBase.Password       := 'testserver';
  RESTDWDataBase.Compression    := true;
  RESTDWDataBase.AccessTag      := '';
  RESTDWDataBase.WelcomeMessage := '';
  RESTDWDataBase.Open;
end;

end.
